{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function fieldcount, msg\r\n$insert msg_equates\r\n$insert logical\r\n\r\nEpiPromptCnt = get_property( @window, '@EpiPromptCnt' )\r\nEpiControls = get_property( @window, '@EpiControls' )\r\nEpiDataOnWindow = get_property( EpiControls, 'LIST':@rm:'LIST':@rm:'INVALUE' )\r\nconvert @rm to @vm in EpiDataOnWindow\r\nif EpiDataOnWindow = @fm:@vm:@fm:str( @vm, EpiPromptCnt-2 ) then\r\n    MsgInfo = ''\r\n    MsgInfo<mtext$> = 'You cannot have a blank same reactor layer...'\r\n    MsgInfo<micon$> = 'H'\r\n    Void = msg( '', MsgInfo )\r\n    return 0\r\nend else\r\n\tCurSameLayerNo = get_property( @window, '@CurSameLayer' )\r\n\tAllSameLayers  = get_property( @window, '@EpiInfo' )\r\n\tAllSameLayers = fieldstore( AllSameLayers, char(248), CurSameLayerNo, 1, char(243):EpiDataOnWindow )\r\n\tconvert char(243) to char(248) in AllSameLayers\r\n\tVoid = set_property( @window, '@EpiInfo', AllSameLayers )\r\n\t* now display the next same reactor layer\r\n\tNewLayerData = field( AllSameLayers, char(248), CurSameLayerNo )\r\n\t*\r\n\tValueCnt = fieldcount( NewLayerData, @vm )\r\n\t* so set_property does not propagate\r\n\tif ValueCnt < EpiPromptCnt then\r\n\t   NewLayerData := str( @vm, EpiPromptCnt-ValueCnt-1 )\r\n\tend\r\n\t* ok\r\n\tif NewLayerData = str( @vm, EpiPromptCnt-1 ) then\r\n\t   * add the @fms for the conc\r\n\t   NewLayerData<1,1> = @fm\r\n\t   NewLayerData<2,2> = @fm\r\n\tend\r\n\tconvert @vm to @rm in NewLayerData\r\n\tVoid = set_property( EpiControls, 'LIST':@rm:'LIST':@rm:'INVALUE', NewLayerData )\r\n\t.epi_conc_min_thick->selpos = 1:@fm:1\r\n\t.epi_conc_max_thick->selpos = 1:@fm:1\t\r\n\tNumLayers = fieldcount( AllSameLayers, char(248) ) \r\n    ButText = .same_reactor_button->text\r\n    convert '123456789' to '' in ButText\r\n    ButText = trim( ButText )\r\n    ButText := ' ':CurSameLayerNo\r\n    .same_reactor_button->text = ButText\r\n    .same_reactor_layer_desc->text = CurSameLayerNo:' of ':NumLayers\r\n*    void = post_event( @window:'.EPI_MIN_THICK', 'GOTFOCUS', '' )\r\n*    would need the above line if epi_min_thick had gotfocus event\r\n    void = set_property( @window:'.EPI_MIN_THICK', 'FOCUS', 1 )    \r\nend\r\nRETURN 0"
        }
    }
}